Bug 1477265 - [Doc] Revise the RHEL and Ubuntu installation guides to promote ansible as the primary install method
[Doc] Revise the RHEL and Ubuntu installation guides to promote ansible as th...
Status: ASSIGNED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 3.0
Assigned To: Erin Donnelly
ceph-qe-bugs
: Documentation, FutureFeature
Depends On: 1477276
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 11:13 EDT by Anjana Suparna Sriram
Modified: 2017-08-08 16:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2017-08-01 11:13:42 EDT
Additional info:

RHCS 3.0 Content Plan:
https://docs.google.com/document/d/1fp1j6iPr9UPHCMWqqS8QG3SXiSQ3n9Y9a1YogivhtzA/edit
Comment 2 khartsoe@redhat.com 2017-08-03 10:30:26 EDT
Per feedback in https://docs.google.com/document/d/14c6cx2PY6xe2XC0N9sFY8Jc-VobAy_LjpTxJsrOL_q8/edit

I have opened the following BZs to request Eng changes to default values in  all.yml.sample file:

https://bugzilla.redhat.com/show_bug.cgi?id=1478071
https://bugzilla.redhat.com/show_bug.cgi?id=1478075
https://bugzilla.redhat.com/show_bug.cgi?id=1478073

As a result, please make the following all.yml.sample file modifications to the "3.2.2. Configuring Ceph Global Settings" section in the RHEL Install Guide (and Ubuntu Install Guide when ansible content is added to it in 3.0):

https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/2/html-single/installation_guide_for_red_hat_enterprise_linux/#configuring_ceph_global_settings

(1) Remove Step 5 (ceph_rhcs)
(2) Remove Step 7 and Note (generate_fsid)
(3) Remove Step 8

Also, please remove Step 11 (journal_size): we will use the default value of 5GB.

Note more similar changes might be forthcoming.
Comment 3 khartsoe@redhat.com 2017-08-03 11:11:33 EDT
Please add following at end of install procedure:

- Verification step: run rados put / get with example of output showing success.

- Add information about using ceph-medic to identify/resolve potential install-related problems. Provide link to “main” ceph-medic content (perhaps in Appx A Troubleshooting? TBD)

Note You need to log in before you can comment on or make changes to this bug.